Subject: Re: Rename case insensitive

From: Torsten Bögershausen <[email-masked]>
Date: Fri, 8 Apr 2016 13:45:32 +0200

On 08.04.16 12:01, chenjinlei wrote:
> 
> I’m encounter a problem due to my own stupidity…
> #1 I pushed a project named Android to my repository.
> #2 I `mv Android android`, cause I think it’s no good to use the uppercase as my project name.
> #3 I pushed it to my repository again…
> 
> I found that there `Adnroid` and `android` exist in my repository, and I want to delete the former one.
> So I tried to `git pull && git rm Android`, but guess what? I can’t pull the `Android`……
> 
> I found that OS X is case-insensitive, while github repository is case-sensitive, thus I can’t `rm Android` any more. It becomes a gosht in my repository and I can never delete it!
>
Correct.

#make a fresh clone of your repo to the local disc:
git clone "repo_your_repo_name" temp_repo

# go into that repo
cd temp_repo

# Tell Git to rename the folder in the Git repo:
git mv Android android

#Commit
git commit -m "mv Android android"

#Push back
git push origin

HTH